ZipArchive::getFromName
ZipArchive::getStatusString
ZipArchive
PHP Manual

# ZipArchive::getNameIndex

(PHP 5 >= 5.2.0, PECL zip >= 1.5.0)

ZipArchive::getNameIndex — Returns the name of an entry using its index

### Description

string ZipArchive::getNameIndex ( int `$index` [, int `$flags` ] )

Returns the name of an entry using its index.

### Parameters

`index`

  Index of the entry.

`flags`

  If flags is set to `ZipArchive::FL_UNCHANGED`, the original unchanged name is returned.

### Return Values

Returns the name on success or `FALSE` on failure.

### Examples

Example #1 ZipArchive::getNameIndex() example

`<?php
if ($zip->open('test.zip') == TRUE) {
for ($i = 0; $i < $zip->numFiles; $i++) {
$filename = $zip->getNameIndex($i);
// ...
}
}
?>`

ZipArchive::getFromName
ZipArchive::getStatusString
ZipArchive
PHP Manual